> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Photon Authentication Token

> Gets a Photon custom authentication token that can be used to securely join the player into a Photon room. See https://learn.microsoft.com/gaming/playfab/features/multiplayer/photon/quickstart for more details.

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| PhotonApplicationNotAssociatedWithTitle | 1141 |
| PhotonApplicationNotFound | 1140 |
| PhotonNotEnabledForTitle | 1139 |




## OpenAPI

````yaml /services/playfab/api-references/rest/client/client.openapi.json post /Client/GetPhotonAuthenticationToken
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Client API
  description: >-
    APIs which provide the full range of PlayFab features available to the
    client - authentication, account and data management, inventory, friends,
    matchmaking, reporting, and platform-specific functionality
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Account Management
    description: Account Management APIs
  - name: Advertising
    description: Advertising APIs
  - name: Analytics
    description: Analytics APIs
  - name: Authentication
    description: Authentication APIs
  - name: Character Data
    description: Character Data APIs
  - name: Characters
    description: Characters APIs
  - name: Content
    description: Content Service APIs
  - name: Friend List Management
    description: Friend List Management APIs
  - name: Matchmaking
    description: Matchmaking APIs
  - name: Platform Specific Methods
    description: Platform Specific Methods APIs
  - name: Player Data Management
    description: Player Data Management APIs
  - name: Player Item Management
    description: Player Item Management APIs
  - name: PlayStream
    description: PlayStream Management APIs
  - name: Server-Side Cloud Script
    description: Server-Side Cloud Script APIs
  - name: Shared Group Data
    description: Shared Group Data APIs
  - name: Title-Wide Data Management
    description: Title-Wide Data Management APIs
  - name: Trading
    description: Trading Management APIs
paths:
  /Client/GetPhotonAuthenticationToken:
    post:
      tags:
        - Authentication
      summary: Get Photon Authentication Token
      description: >
        Gets a Photon custom authentication token that can be used to securely
        join the player into a Photon room. See
        https://learn.microsoft.com/gaming/playfab/features/multiplayer/photon/quickstart
        for more details.


        ## Error codes


        This operation may return the following PlayFab errors:


        | Error | Code |

        | --- | --- |

        | PhotonApplicationNotAssociatedWithTitle | 1141 |

        | PhotonApplicationNotFound | 1140 |

        | PhotonNotEnabledForTitle | 1139 |
      operationId: GetPhotonAuthenticationToken
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetPhotonAuthenticationTokenRequest'
      responses:
        '200':
          $ref: '#/components/responses/GetPhotonAuthenticationTokenResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - SessionTicket: []
components:
  schemas:
    GetPhotonAuthenticationTokenRequest:
      type: object
      properties:
        PhotonApplicationId:
          description: The Photon applicationId for the game you wish to log into.
          type: string
      required:
        - PhotonApplicationId
      example:
        PhotonApplicationId: acaa26f3-fcdb-4af4-8c76-3a3d4dd3066f
    GetPhotonAuthenticationTokenResult:
      type: object
      properties:
        PhotonCustomAuthenticationToken:
          description: The Photon authentication token for this game-session.
          type: string
      example:
        PhotonCustomAuthenticationToken: rod88fits4gqmgor7umopsbabguj441h3oe8u3gbzxf6rktibv
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
  responses:
    GetPhotonAuthenticationTokenResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetPhotonAuthenticationTokenResult'
            example:
              code: 200
              status: OK
              data:
                PhotonCustomAuthenticationToken: rod88fits4gqmgor7umopsbabguj441h3oe8u3gbzxf6rktibv
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    SessionTicket:
      type: apiKey
      in: header
      name: X-Authorization
      description: >-
        This API requires a client session ticket, available from any Client
        Login function.

````

## Related topics

- [Get Photon Authentication Token](/services/playfab/api-references/rest/client/authentication/get-photon-authentication-token.md)
- [Content & Configuration Reads Meter API Description](/services/playfab/pricing/meters/file-reads.md)
- [PFAuthenticationValidateEntityTokenGetResult](/services/playfab/api-references/c/pfauthentication/functions/pfauthenticationvalidateentitytokengetresult.md)
- [PFAuthenticationValidateEntityTokenGetResultSize](/services/playfab/api-references/c/pfauthentication/functions/pfauthenticationvalidateentitytokengetresultsize.md)
- [Photon Quickstart](/services/playfab/live-service-management/service-gateway/add-ons/photon/quickstart.md)
